<section class="nevis-password-reset  grid-indent">

  <h2 class="nevis-password-reset__title">{{app.i18n('title_reset', i18n)}}</h2>

  <section class="nevis-password-reset__form  dwfe-form" spellcheck="false" *ngIf="!isExchangeCompleted">

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('new_password', i18n)"
                                      (takeControl)="cNewPassword=$event"
                                      #refNewPassword></dwfe-form-control-input-password>

    <dwfe-form-control-input-password class="dwfe-form__item"
                                      [labelText]="app.i18n('new_password_repeat', i18n)"
                                      (takeControl)="cRepeatPassword=$event"></dwfe-form-control-input-password>

    <dwfe-action-ok [errorMessage]="errorMessage"
                    [showErrorMessage]="errorMessage !== ''"
                    [isDisabled]="isDisabledBtnPerformPasswordReset()"
                    (takeClick)="performPasswordReset()"></dwfe-action-ok>

    <dwfe-overlay *ngIf="isLocked"></dwfe-overlay>

  </section>

  <div class="nevis-password-reset__successful" *ngIf="isExchangeCompleted">
    <p class="dwfe-txt-successful  nevis-password-reset__successful-tem">{{app.i18n('successfully_completed', i18n)}}</p>
    <button class="nevis-password-reset__successful-btn  dwfe-form__btn  dwfe-form__btn--attraction"
            mat-raised-button
            (click)="goToLoginPage()">
      {{app.i18n('go_to_login', i18n)}}
    </button>
  </div>

</section>
